List of cost centers
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/costCenters \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/costCenters"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/costCenters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Cost Center
List of cost centers
Accessible only by users with the ADMIN or PROJECT_MANAGER role. Results are scoped to the
caller’s organization. The name filter uses prefix matching.
GET
/
api2
/
v1
/
costCenters
List of cost centers
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by name prefix
Uid of user
Available options:
NAME, DATE_CREATED Available options:
ASC, DESC Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Was this page helpful?